Page MenuHomePhabricator

Wikilove generates broken image thumbnails
Closed, ResolvedPublic

Description

It currently creates images with this:
[[File:File-Boer Goat (8742860752).jpg|left|150px]]

It should be this:
[[File:Boer Goat (8742860752).jpg|left|150px]]

Examples at:
https://wikitech.wikimedia.org/wiki/User_talk:Example-user-a
https://www.mediawiki.org/wiki/Topic:U80ivmoabgx8ty1d

Event Timeline

Quiddity created this task.Feb 21 2018, 3:07 AM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptFeb 21 2018, 3:07 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Quiddity triaged this task as Unbreak Now! priority.Feb 21 2018, 3:07 AM
Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptFeb 21 2018, 3:07 AM

07ca2020b3ecd1364a7921a4b82ab38a6270475e is responsible for this bug.

normalizeFilename('foo')

returns before this change "File:foo" and

returns after this change "foo".

Appears to only affect the click-thumbnail-to-select mode (kittens & goats), but not the others. Looking.

Change 413419 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/WikiLove@master] normalizeFilename: Fix 'File:Foo.jpg' input case

https://gerrit.wikimedia.org/r/413419

Change 413419 merged by jenkins-bot:
[mediawiki/extensions/WikiLove@master] normalizeFilename: Fix 'File:Foo.jpg' input case

https://gerrit.wikimedia.org/r/413419

greg added a subscriber: greg.Feb 27 2018, 6:42 AM

An UBN! with a merged patch for 4 days and no backport?

greg added a comment.Mar 1 2018, 11:17 PM

@Esanders / @Catrope what should we do here?

It's not really my project to say... maybe our wikis can go without kittens and goats for another few days?

matmarex closed this task as Resolved.Mar 5 2018, 7:46 PM
matmarex assigned this task to Esanders.
matmarex added a subscriber: matmarex.

By now, this fix has been deployed with the normal train.

kaldari added a subscriber: kaldari.Mar 6 2018, 7:04 PM

I protected all the goats from being moved further.